# ADEPT Design Document
*Last modified Feb. 11th 2025 by Christopher Bell*

## What is ADEPT
ADEPT, or Advanced Documentation and Educational Platform Toolkit, is a suite of tools for creating and viewing educational lessons with a 2D or 3D context with advanced interactions.

## Definitions
- Lesson - A lesson holds assets, data, and "Pages" that comprise the whole of the content.
- Page - The main component of a "Lesson" which contains logic and interactions.
- Client - The client which is used to load a "Lesson".
- Lesson Creator - Used for creating "Lessons".

## Roadmap
- [ ] Client Application
    - [ ]

- [ ] Lesson Creation Toolkit
    - [ ] 

- [ ] Cloud Services
	- [ ] ADEPT Client can have authentication from a self-hosted cloud service
	- [ ] Full management dashboard with features like CMS (Classroom management system)
	- [ ] ADEPT Client can download lessons from the cloud and connect to the management dashboard
